%global momorel 2
%global prefix /usr/X11R6

Summary: XMMS - Multimedia player for the X Window System.
Name: xmms
Version: 1.2.10
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://www.xmms.org/
%NoSource 0 http://www.xmms.org/files/1.2.x/%{name}-%{version}.tar.bz2 03a85cfc5e1877a2e1f7be4fa1d3f63c
Source3: mp3license
Source4: README.ESD
Patch0: xmms-1.2.10j.patch
Patch1: xmms-1.2.10-xfont.patch
Patch2: xmms-1.2.10-aRts-plugin.patch
Requires: glib1 >= 1.2.10
Requires: gtk+1 >= 1.2.10
Requires: glibc >= 2.3.2
BuildPreReq: glib1-devel >= 1.2.10, gtk+1-devel >= 1.2.10
BuildPreReq: libmikmod-devel, esound-devel
BuildPreReq: arts-devel >= 1.2.2
BuildPreReq: libpng-devel >= 1.2.5
BuildPreReq: audiofile-devel >= 0.2.5
BuildPreReq: autoconf >= 2.58-2m, automake >= 1.5-23m
BuildPreReq: libvorbis-devel >= 1.0-5m
BuildPreReq: alsa-lib >= 1.0.4
Requires: audiofile >= 0.2.5
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: x11amp xmms-gnome

%description
X MultiMedia System is a sound player written from scratch. Since it
uses the WinAmp GUI, it can use WinAmp skins. It can play mp3s, mods, s3ms,
and other formats. It now has support for input, output, general, and
visualization plugins.

For information on the MP3 License, please visit:
http://www.mpeg.org/

%package devel
Summary: XMMS - Static libraries and header files.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Static libraries and header files required for compiling xmms plugins.

%package esd
Summary: XMMS - Output plugin for use with the esound package.
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: esound

%description esd
Output plugin for xmms for use with the esound package.

%package mesa
Summary: XMMS - Visualization plugins that use the Mesa3d library.
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Obsoletes: xmms-Mesa

%description mesa
Visualization plugins that use the Mesa3d library.

%package mikmod
Summary: XMMS - Input plugin to play MODs.
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: libmikmod

%description mikmod
Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc).

%package vorbis
Summary: XMMS - Input plugin to play Ogg Vorbis.
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}, libvorbis >= 1.0-2m

%description vorbis
Input plugin for XMMS to play Vorbis.

%package	alsa
Summary:	XMMS - ALSA output plugin
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib >= 0.9.0

%description	alsa
Output plugin for XMMS to use with the Advanced Linux Sound
Architecture (ALSA).

%prep
%{__rm} -rf %{name}-%{version}
%setup -q -n %{name}-%{version}
%{__cp} %{SOURCE4} .
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

OPTION_IPV6=
%if %{_ipv6}
OPTION_IPV6='--enable-ipv6'
%endif

%ifarch alpha alphaev5
        CC=gcc CFLAGS="%{optflags}" \
        ./configure --prefix=%{prefix} --datadir=%{_datadir}   \
	$OPTION_IPV6 \
        --sysconfdir=%{_sysconfdir} --enable-alphablend --host=alpha-pc-linux
%endif
%ifarch ppc
        CC=gcc CFLAGS="%{optflags}"  \
        ./configure --prefix=%{prefix} --datadir=%{_datadir} \
	$OPTION_IPV6 \
        --sysconfdir=%{_sysconfdir}
%endif
%ifarch %{ix86}
        CC=gcc CFLAGS="%{optflags}" \
        ./configure --prefix=%{prefix} --datadir=%{_datadir}  \
	$OPTION_IPV6 \
        --sysconfdir=%{_sysconfdir} --enable-3dnow --enable-simd
%endif
%make

%install
rm -rf %{buildroot}
mkdir %{buildroot}

make DESTDIR=%{buildroot} \
	gnulocaledir=%{_datadir}/locale \
	m4datadir=%{_datadir}/aclocal \
	install

# Install applnk file
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
install -m 644 xmms/xmms.desktop \
	%{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/ 

# Install icons.
mkdir -p %{buildroot}%{_datadir}/{pixmaps,xmms}
install -m 644 wmxmms/wmxmms.xpm %{buildroot}%{_datadir}/xmms/
install -m 644 xmms/xmms_logo.xpm %{buildroot}%{_datadir}/xmms/
install -m 644 xmms/xmms_mini.xpm %{buildroot}%{_datadir}/xmms/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README TODO README.ESD README.jp
%{_sysconfdir}/X11/applnk/Multimedia/xmms.desktop
%{prefix}/bin/xmms
%{prefix}/bin/wmxmms
%{prefix}/lib/libxmms.so.*
%dir %{prefix}/lib/xmms
%{prefix}/lib/xmms/Effect
%{prefix}/lib/xmms/General
%dir %{prefix}/lib/xmms/Input
%{prefix}/lib/xmms/Input/libcdaudio.*
%{prefix}/lib/xmms/Input/libmpg123.*
%{prefix}/lib/xmms/Input/libwav.*
%{prefix}/lib/xmms/Input/libtonegen.*
%dir %{prefix}/lib/xmms/Output
%{prefix}/lib/xmms/Output/libOSS.*
%{prefix}/lib/xmms/Output/libdisk_writer.*
%dir %{prefix}/lib/xmms/Visualization
%{prefix}/lib/xmms/Visualization/libbscope.*
%{prefix}/lib/xmms/Visualization/libsanalyzer.*
%dir %{_datadir}/xmms
%{_datadir}/xmms/wmxmms.xpm
%{_datadir}/xmms/xmms_logo.xpm
%{_datadir}/xmms/xmms_mini.xpm
%{_datadir}/locale/*/*/*
%{prefix}/man/man1/*.1*

%files devel
%defattr(-,root,root)
%{prefix}/bin/xmms-config
%{prefix}/include/xmms
%{prefix}/lib/libxmms.a
%{prefix}/lib/libxmms.la
%{prefix}/lib/libxmms.so
%{_datadir}/aclocal/xmms.m4

%files esd
%defattr(-,root,root)
%{prefix}/lib/xmms/Output/libesdout.*

%files mesa
%defattr(-,root,root)
%{prefix}/lib/xmms/Visualization/libogl_spectrum.*

%files mikmod
%defattr(-,root,root)
%{prefix}/lib/xmms/Input/libmikmod.*

%files vorbis
%defattr(-,root,root)
%{prefix}/lib/xmms/Input/libvorbis.*

%files alsa
%defattr(-,root,root)
/usr/X11R6/lib/xmms/Output/libALSA.*


%changelog
* Sun May 29 2004 Toru Hoshina <t@momonga-linux.org>
- (1.2.10-2m)
- revised added xmms-1.2.10-aRts-plugin.patch again.

* Wed May 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.2.10-1m)
- patch0 is re-extracted from above.
  http://www3.big.or.jp/~sian/linux/products/xmms/files/sources/xmms-1.2.10j_20040415.tar.bz2
- xmms-gnome is no longer supported.
- xmms-1.2.8-aRts-plugin.patch, xmms-1.2.8-xml2.patch and xmms-1.2.8-disk_writer.patch is obsoletd.

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.2.8-7m)
- rebuild against for esound-0.2.34

* Mon Dec 15 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.8-6m)
- remove 'Obsoletes: xmms-alsa <= 0.9.10' :(

* Wed Nov 19 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2.8-5m)
- without --with-included-gettext.
  ([momongaja:00006] thanks for yonekawa san.)

* Sat Nov 15 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2.8-4m)
- removes "kanji.h" "kanji.c" from patch4.
  Those licenses are unknown.

* Fri Nov 14 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2.8-3m)
- add patch4.
  from http://www3.big.or.jp/~sian/linux/products/xmms/index.html.ja

* Wed Nov 12 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2.8-2m)
- imported characterset converter.
  from http://www3.big.or.jp/~sian/linux/products/

* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2.8-1m)
- update to upstream version.
- without jconv. Sorry, I can't create a new patch for jconv.
- append sub package for alsa-output.

* Wed Jul 23 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.7-22m)
- fix source URL
- add BuildPreReq: gtk+1-devel,glib1-devel,libjconv

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.7-21m)
- run 'aclocal-old'

* Sun May 18 2003 NORIKANE Seiichiro <no_ri@kf6.so-net.ne.jp>
- (1.2.7-20m)
- fix Output/disk_writer plugin.

* Mon Apr  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.7-19m)
- try libxml2.

* Mon Sep 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.7-18m)
- revise for ppc

* Tue Aug 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.7-17m)
- rebuild against arts-1.0.3-2m

* Sat Jul 20 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.2.7-16m)
- Removed redundant BuildPreReq
- Changed Requires: in subpackage vorbis from libvorbis to libvorbis > 1.0-2m

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.2.7-15m)
- added BuildPreReq: libvorbis-devel >= 1.0-2m

* Thu May 09 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.2.7-14k)
- add ipv6 patch

* Sat May 05 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (1.2.7-12k)
- applied mmx support patch.
- applied benchmark patch (new option -b).
- http://members.jcom.home.ne.jp/jacobi/linux/xmms.html
- modified jconv patch.

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.2.7-10k)
- rebuild against libpng 1.2.2.

* Sat Apr 13 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.2.7-8k)
- require arts-devel

* Thu Apr  4 2002 Toru Hoshina <t@kondara.org>
- (1.2.7-6k)
- gnomexmms.xpm is moved to main package for backward compatinility.

* Fri Mar 29 2002 Toru Hoshina <t@kondara.org>
- (1.2.7-4k)
- add arts support.

* Tue Mar 19 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.2.7-2k)
  update to 1.2.7

* Tue Mar 5 2002 TABUCHI Takaaki <tab@kondara.org>
- (1.2.5-16k)
- merge jirai changes by mitsuru

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.2.5-14k)
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Sat Feb 16 2002 Shingo Akagaki <dora@kondara.org>
- (1.2.5-12k)
- patch for playlistwin.c (printf() & nazo no glib1 probrem?)

* Fri Feb 15 2002 Shingo Akagaki <dora@kondara.org>
- (1.2.5-10k)
- add gnome macro

* Thu Feb  7 2002 Shingo Akagaki <dora@kondara.org>
- (1.2.5-8k)
- -ljconv

* Thu Nov 15 2001 Motonobu Ichimura <famao@kondara.org>
- (1.2.5-6k)
- move zh_CN.GB2312 -> zh_CN

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.2.5-4k)
- nigittenu

* Wed Oct 24 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.5-2k)
- update 1.2.5
- remake Patch0 Patch1
- fix SPEC (line 130: gnulocaledir)
- modify xmms-jconv.patch file for jitterbug #896

* Tue Sep 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.2.4-18k)
- modify spec file for jitterbug #949

* Tue Sep 25 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.2.4-17k)
- change wmxmms.xpm's place (jitterbug #949)
- move gnomexmms.xpm from xmms to xmms-gnome
- THIS CHANGELOG is merged from Jirai tree by tab@kondara.org

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.4-16k)
- rebuild against libtool 1.4.

* Mon Jul 30 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.4-14k)
- add alphaev5 support.

* Fri May  4 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.4-12k)
- libjconv...

* Tue Apr 10 2001 Daiki Matsuda <dyky@df-usa.com>
- (1.2.4-10k)
- errased Glide3 Glide3-devel from tag

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.4-9k)
- rebuild against audiofile-0.2.1.

* Sat Jan  6 2001 Daiki Matsuda <dyky@df-usa.com>
- (1.2.4-7k)
- rebuild against Glide3

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- (1.2.4-5k)
- rebuild against audiofile-0.2.0.

* Mon Dec 11 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 1.2.4
- enable 3DNow!
- support vorbis Input plugin
- added jconv patch

* Mon Sep 25 2000 Toru Hoshina <t@kondara.org>
- rebuild against esound 0.2.19.

* Fri Jul 14 2000 Hidetomo Machi <mcHT@kondara.org>
- move wmxmms.xpm to /usr/share/pixmaps from /usr/X11R6/share/xmms
- include po files and so on
- add some %dir

* Thu Jul 13 2000 tom <tom@kondara.org>
- update to 1.2.2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Wed Jun 28 2000 AYUHANA Tomonori <l@kondara.org>
- (1.2.1-2k)
- Visualization/lib files .* -> .la / .so
- remove *Req*: Mesa*

* Tue Jun 20 2000 tom <tom@kondara.org>
- update to 1.2.1

* Fri Jun 16 2000 tom <tom@kondara.org>
- update to 1.2.0

* Wed May  3 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( BuildRoot, Summary, description )

* Tue Mar  7 2000 Shingo Akagaki <dora@kondara.org>
- modified fileinfo.c

* Tue Mar  7 2000 Shigno Akagaki <dora@kondara.org>
- modified mpg123.c
- modified xmms.conf

* Mon Feb 28 2000 Toru Hoshina <t@kondara.org>
- modified spec file.

* Mon Feb 21 2000 Hidetomo Machi <mcHT@kondara.org>
- add "Distribution" tag
- fix xmms-destop file
- include xmms-config in xmms-devel

* Wed Jan 5 2000 Shingo Akagaki <dora@kondara.org>
- add xmms-gnome package
- fix xmms.desktop file

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Sep 7 1999 Toru Hoshina <hoshina@best.com>
- Added modern x86 CPU auto-detection process for maximum optimization
- 3DNow! patch modified. Select decorder Auto / Force 3DNow! / Force FPU
  Thanks > Osamu Kayasono <kayasono@mb.infoweb.ne.jp>

* Sun Aug 29 1999 Toru Hoshina <hoshina@best.com>
- Separated jconv.c as a libjconv.so :-P

* Tue Aug 28 1999 Toru Hoshina <hoshina@best.com>
- fixed jconv.c BUG again :-< Thanks > Yasuda Tsutomu <_tom_@sf.airnet.ne.jp>

* Tue Aug 24 1999 Toru Hoshina <hoshina@best.com>
- fixed jconv.c BUG Thanks > Yasuda Tsutomu <_tom_@sf.airnet.ne.jp>
- added 3DNow! improvement, automatic detect 3DNow! support CPU
  (use floating-pointer decode routine if your CPU isn't support
   3DNow! instructions)
  (based on mpg123-0.59r and new 3DNow! patch by KIMURA Takuhiro
	<kim@hannah.ipc.miyakyo-u.ac.jp> )
  Thanks > Osamu Kayasono <kayasono@mb.infoweb.ne.jp>

* Wed Aug 4 1999 Toru Hoshina <hoshina@best.com>
- support mikmod 3.1.6.

* Thu Jul 29 1999 Toru Hoshina <hoshina@best.com>
- support alpha blend

* Mon Jun 19 1999 Toru Hoshina <hoshina@best.com>
- update to xmms-0.9.1
- revised Japanese patch.

* Tue Jun 15 1999 Yasuda Tsutomu <_tom_@sf.airnet.ne.jp>
- update to xmms-0.9
- support Japanese

* Thu May 13 1999 Bill Nottingham <notting@redhat.com>
- take debugging printf out of patch.

* Thu May  6 1999 Bill Nottingham <notting@redhat.com>
- update to beta1.1

* Thu Apr 8 1999 The Rasterman <raster@redhat.com>
- patched to have plugin fallback to other plugins for output if plugin fails.

* Mon Mar 29 1999 Michael Maher <mike@redhat.com>
- added desktop entry.

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- made some changes to the spec file.
- has 'esd' support now.
- stripped executables.

* Mon Feb 15 1999 Michael Maher <mike@redhat.com>
- built pacakge for 6.0
- changed spec file, added mp3 licenses.

* Mon Feb 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha3-1]
- Updated to alpha3 see ChangLog for changes.

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha2-1]
- fixed close button in PL/EQ windows
- fixed shuffel/randomize functions
- removed imlib, no need for imlib anymore
- mpg123 plugin now works on SMP machines, also reduced cpu usage
- fixed so mainwindow will be positioned correct at startup in some windowmanagers
- fixed the playlistwindow buttons that ended up behind the window
- added mikmod plugin into the source tree
- now you can configure the OSS drivers and mpg123 plugin
- SKINSDIR variable can be used again
- added bars as analyzer mode
- in playlistwindow the player control buttons now work, also time window works
